PATCH https://graph.microsoft.com/beta/programs/7e59d237-2fb0-4e5d-b7bb-d4f9f9129213
Content-type: application/json
{
"displayName": "testprogram3 new name"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var program = new Program
{
DisplayName = "testprogram3 new name"
};
await graphClient.Programs["{program-id}"]
.Request()
.UpdateAsync(program);
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
Program program = new Program();
program.displayName = "testprogram3 new name";
graphClient.programs("7e59d237-2fb0-4e5d-b7bb-d4f9f9129213")
.buildRequest()
.patch(program);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewProgram()
displayName := "testprogram3 new name"
requestBody.SetDisplayName(&displayName)
programId := "program-id"
graphClient.ProgramsById(&programId).Patch(requestBody)